
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Don't forget to initialize the thread_info member in INIT_THREAD() (from
Roman Zippel)



---

 25-akpm/include/asm-m68k/processor.h |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN include/asm-m68k/processor.h~68k-381 include/asm-m68k/processor.h
--- 25/include/asm-m68k/processor.h~68k-381	Thu Jan  8 15:37:40 2004
+++ 25-akpm/include/asm-m68k/processor.h	Thu Jan  8 15:37:40 2004
@@ -83,10 +83,11 @@ struct thread_struct {
 	struct task_work work;
 };
 
-#define INIT_THREAD  {						\
-	ksp: sizeof(init_stack) + (unsigned long) init_stack,	\
-	sr: PS_S, 						\
-	fs: __KERNEL_DS,					\
+#define INIT_THREAD  {							\
+	ksp:	sizeof(init_stack) + (unsigned long) init_stack,	\
+	sr:	PS_S,							\
+	fs:	__KERNEL_DS,						\
+	info:	INIT_THREAD_INFO(init_task)				\
 }
 
 /*

_
